import { measures } from 'src/app/data/measures.data';
import { Injectable } from '@angular/core';
import { Measure, MeasureData } from 'src/app/models/measure';
import { of as observableOf, Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class MeasuresService extends MeasureData {

  private measData: Measure[] = measures;

  constructor() {
    super();
  }

  getMeasures(): Observable<Measure[]> {
    return observableOf(this.measData);
  }
}
